{% extends 'base.html.twig' %}

{% block title %}Hello AuthorController!{% endblock %}

{% block body %}
    <style>
        .example-wrapper {
            margin: 1em auto;
            max-width: 800px;
            width: 95%;
            font: 18px/1.5 sans-serif;
        }

        .example-wrapper code {
            background: #F5F5F5;
            padding: 2px 6px;
        }
    </style>

    <div class="example-wrapper">
        <h1>Author {{ author.first_name }} {{ author.last_name }}</h1>
        <p><a href="{{ path('listing_authors') }}">Back to Authors</a></p>
        {% for message in app.flashes('warning') %}
            <div class="flash-notice">
                {{ message }}
            </div>
        {% endfor %}

        <h2>Books</h2>
        <table>
            <thead>
            <tr>
                <td>Title</td>
                <td>Release Date</td>
                <td>Description</td>
                <td>ISBN</td>
                <td>Format</td>
                <td>Number of pages</td>
                <td>Actions</td>
            </tr>
            </thead>
            <tbody>
            {% for book in author.books %}
            <tr>
                    <td>{{ book.title }}</td>
                    <td>{{ book.release_date | date('Y-m-d') }}</td>
                    <td>{{ book.description }}</td>
                    <td>{{ book.isbn }}</td>
                    <td>{{ book.format }}</td>
                    <td>{{ book.number_of_pages }}</td>
                <td><a href="{{ path('book_delete', {author_id: author.id, book_id : book.id}) }}">Delete</a></td>
                </tr>
            {% endfor %}
            </tbody>
        </table>

    </div>
{% endblock %}
